<?php include('casa/setup.casa.php');
$codigo_venta = DataForms::GET('id');

$db = new DB();
$sql = "UPDATE ventas_entregas SET
	almacen_usid = '$USID',
 	entre_estado = '1'
WHERE ven_codigo ='$codigo_venta';";
$db->dbSQL($sql);

$Inventario = new DB();
$ActualizarProductos = new DB();
$sqlInventario = "SELECT * FROM ventas_productos ven, inventarios_productos prod
WHERE ven.prod_codigo = prod.prod_codigo
AND ven.ven_codigo = '$codigo_venta';";
$Inventario->dbSQL($sqlInventario);
while($Inventario->next()){
	$ven_codigo = $Inventario->dbField('ven_codigo');
	$clie_codigo = $Inventario->dbField('clie_codigo');
	$prod_codigo = $Inventario->dbField('prod_codigo');	
	$ubica_codigo = $Inventario->dbField('ubica_codigo');
	$us_id = $Inventario->dbField('us_id');
	$ven_cantidad = $Inventario->dbField('ven_cantidad');
	$ven_precio = $Inventario->dbField('ven_precio');
	$ven_tipo = $Inventario->dbField('ven_tipo');
	
	/****************************************************************************** */
	/**** NO ACTUALIZAR INVENTARIO porque cajero ejecuta el descuento de inventario */
	/****************************************************************************** */
	//ActualizarDB($prod_codigo,$ven_cantidad,$ven_tipo);
	
	/*//Productos
	$prod_piezascaja = $Inventario->dbField('prod_piezascaja');
	$prod_unidadesreal = $Inventario->dbField('prod_unidadesreal');	
	//Calculos ventas - productos
	$ActCantidadProducto = 0;
	$SaldoNuevo=0;
	switch($ven_tipo){
		case 1: $TipoVenta = 'Unidad'; 
			$ActCantidadProducto	= $ven_cantidad;
		break;
		case 2: $TipoVenta = 'Docena';
			$ActCantidadProducto	= $ven_cantidad;
		break;
		case 3: $TipoVenta = 'CajaDocena';
			$ActCantidadProducto	= $ven_cantidad * $prod_piezascaja;
		break;
		case 4: $TipoVenta = 'unidades por docena';
			$ActCantidadProducto	= $ven_cantidad;
		break;
	}
	//Restar cantidad actual del producto menos la compra realizada
	$SaldoNuevo = $prod_unidadesreal - $ActCantidadProducto;
echo '<br>'.	$sqlActualizarCantidad = "UPDATE inventarios_productos SET 
		prod_unidadesreal = '$SaldoNuevo'
	WHERE prod_codigo ='$prod_codigo';";
	*/
//	$ActualizarProductos->dbSQL($sqlActualizarCantidad);
}

function ActualizarDB($prod_codigo,$ven_cantidad,$ven_tipo){
	$Inventario = new DB();
	$ActualizarProductos = new DB();
	echo '<br>'. $sqlInventario = "SELECT * FROM inventarios_productos prod
	WHERE prod.prod_codigo = '$prod_codigo';";
	$Inventario->dbSQL($sqlInventario);
	$Inventario->next();
		$ubica_codigo = $Inventario->dbField('ubica_codigo');
		//Productos
		$prod_piezascaja = $Inventario->dbField('prod_piezascaja');
		$prod_unidadesreal = $Inventario->dbField('prod_unidadesreal');	
		//Calculos ventas - productos
		$ActCantidadProducto = 0;
		$SaldoNuevo=0;
		switch($ven_tipo){
			case 1: $TipoVenta = 'Unidad'; 
				$ActCantidadProducto	= $ven_cantidad;
			break;
			case 2: $TipoVenta = 'Docena';
				$ActCantidadProducto	= $ven_cantidad;
			break;
			case 3: $TipoVenta = 'CajaDocena';
				$ActCantidadProducto	= $ven_cantidad * $prod_piezascaja;
			break;
			case 4: $TipoVenta = 'unidades por docena';
				$ActCantidadProducto	= $ven_cantidad;
			break;
		}
		//Restar cantidad actual del producto menos la compra realizada
		$SaldoNuevo = $prod_unidadesreal - $ActCantidadProducto;
		$sqlActualizarCantidad = "UPDATE inventarios_productos SET 
			prod_unidadesreal = '$SaldoNuevo'
		WHERE prod_codigo ='$prod_codigo';";
	$ActualizarProductos->dbSQL($sqlActualizarCantidad);

}
echo '<script>self.location="'.PATH_HOME.'almacenes/ver";</script>';
?>